summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2023-03-26 17:29:36 -0400
committerJesse Luehrs <doy@tozt.net>2023-03-27 22:52:01 -0400
commite04ae5b511181c5955a8672005c4e96fe04fed63 (patch)
tree8908110f0125264fcdc5981847cb522036feab34 /bin
parent2d75d42766a6d77a9e6f81751f05ac61add1574c (diff)
downloadpuppet-tozt-e04ae5b511181c5955a8672005c4e96fe04fed63.tar.gz
puppet-tozt-e04ae5b511181c5955a8672005c4e96fe04fed63.zip
convert tozt launch script to pulumi
Diffstat (limited to 'bin')
-rwxr-xr-xbin/pulumi16
1 files changed, 16 insertions, 0 deletions
diff --git a/bin/pulumi b/bin/pulumi
new file mode 100755
index 0000000..d8219ca
--- /dev/null
+++ b/bin/pulumi
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -eu
+
+script_path="$(realpath "$(dirname "$0")")"
+secrets_bin="${script_path}/secrets"
+
+"$secrets_bin" open
+trap '"$secrets_bin" close' EXIT
+
+DIGITALOCEAN_TOKEN="$(cat /mnt/digitalocean)"
+export DIGITALOCEAN_TOKEN
+export PULUMI_SKIP_UPDATE_CHECK=1
+PULUMI_CONFIG_PASSPHRASE="$(rbw get --folder=pulumi "$(hostname)" puppet-tozt)"
+export PULUMI_CONFIG_PASSPHRASE
+
+pulumi "$@"